# 这一页的内容可以修改值，但是不要删除行。初次使用主题请务必阅读官方文档！！！
# 这一页的内容可以修改值，但是不要删除行。初次使用主题请务必阅读官方文档！！！
# 这一页的内容可以修改值，但是不要删除行。初次使用主题请务必阅读官方文档！！！


############################### 基本信息 ###############################
info:
  name: Material X
  docs: https://xaoxuu.com/wiki/material-x/
  # 主题的CDN地址。如需启用CDN，请在主目录的config中设置，详见文档。
  cdn: https://cdn.jsdelivr.net/gh/xaoxuu/cdn-material-x@19.3.2/


############################### 主题样式 ###############################
style: material    # material: 导航栏和标题栏背景是主题色
#style: pure        # pure: 导航栏和标题栏背景是白色


############################### 服务开关 ###############################
# 服务开关，如果你想禁用某些功能，直接设置为false或者注释掉，相关的js脚本就不会加载。
# 有些服务这里打开了也未必会生效，还需要额外的配置，详见文档。
services:
  cdn: true
  scrollreveal: true
  nodewaves: true
  busuanzi: true
  fastclick: true
  popular_posts: true   # 需要安装插件  hexo-related-popular-posts
  comments: true
  volantis: true
  music: true
  share: true
  qrcode: true    # 需要安装插件  npm i -S hexo-helper-qrcode


############################### 杂项 ###############################
# 音乐控件的默认配置，如果sidebar或者page里没有提供，就取这里的参数
music:
  color: '#1BCDFC'  # 主题色
  mode: circulation # random （随机） single （单曲） circulation （列表循环） order （列表）
  server: netease   # netease（网易云音乐）tencent（QQ音乐） xiami（虾米） kugou（酷狗）
  type: playlist    # song （单曲） album （专辑） playlist （歌单） search （搜索）
  id: 2615636388    # 歌曲/专辑/歌单 ID
  volume: 0.7       # 音量, 0~1
  autoplay: false   # 自动播放


# 友链页头像占位图
loading_img: https://cdn.jsdelivr.net/gh/xaoxuu/volantis@1.0/img/qq/亲亲.gif


# Search
search:
  enable: true
  service: hexo
  # google
  # hexo
  google_api_key:
  google_engine_id:
  # algolia
  algolia_app_id:
  algolia_api_key:
  algolia_index_name:
  # azure
  azure_service_name:
  azure_index_name:
  azure_query_key:
  # baidu
  baidu_api_id:

# Less
less:
  compress: true
